## jxtray
Class FileUtilities

    java.lang.Object
      jxtray.FileUtilities

public class FileUtilities
extends java.lang.Object

This class contains only static members and methods. It contains all extensions used by Jxtray and a method that allow to extract extension from a filename.

Field Summary
`static java.lang.String` `CSV`
`static java.lang.String` `GZIP`
`static java.lang.String` `HTML`
`static java.lang.String` `JAR`
`static java.lang.String` `SQL`
`static java.lang.String` `XLS`
`static java.lang.String` `XML`
`static java.lang.String` `ZIP`

Constructor Summary
`FileUtilities()`

Method Summary
`static java.lang.String` `getExtension(java.io.File f)` Return extension from a filename

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CSV

    public static java.lang.String CSV

### GZIP

    public static java.lang.String GZIP

### HTML

    public static java.lang.String HTML

### JAR

    public static java.lang.String JAR

### SQL

    public static java.lang.String SQL

### XLS

    public static java.lang.String XLS

### XML

    public static java.lang.String XML

### ZIP

    public static java.lang.String ZIP

Constructor Detail

### FileUtilities

    public FileUtilities()

Method Detail

### getExtension

    public static java.lang.String getExtension(java.io.File f)

  Return extension from a filename